You are here

PortableApps.com Updater 1.0 ALPHA 6

64 posts / 0 new
Last post
MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
PortableApps.com Updater 1.0 ALPHA 6

Application: PortableApps.com ™ Updater
Category: Utilities
Description: Holds Your PortableApps up to date.

OUDATED! Please look at: https://portableapps.com/node/12722

Download PortableApps.com ™ Updater 1.0 ALPHA6 [1.2MB download / 1.4MB installed]
(MD5: 412ddd1a40474668cc0fdf33d3d7ac40)

Features
PortableApps Updater is an update tool with features like:

  • automatic update of all hosted Apps
  • multi-language support (offers the right localized package/informations depending of the selected language)
  • built in md5sum check for the offered packages
  • Support of all packages in paf format (Installer and 7-Zip packages)
  • Configuration with ini or command line
  • built in support for randomized mirror servers
  • built in support for http and ftp sources
  • built in support for the Sorceforge and OOoDev mirror network
  • proxy support (Windows Proxy by default, own proxy server, no proxy)
  • personal blacklist (block update offers for unwanted Apps)
  • recommend packages / make packages mandantory
  • support for local or private web based (other servers than PortableApps.com) Application management
  • self update support for the updater

It uses GNU Wget Version 1.11 as a binary version found on: http://wget.addictivecode.org/
(This version was compressed with upx --best --compress-icons=0 --crp-ms=999999 in order to save space.)
Learn more about GNU Wget
... in the Wget manual
... in the Wget Wiki
More about GNU wget...

Release Notes:

Version 1.0 ALPHA6 (2008-04-07):
(ALPHA5 inclomplete upload)
This version will fix the following issues:

  • Standard installer
  • Change self update function
  • enable restart for interupted download (wget )


Version 1.0 ALPHA4 (2008-04-04):
This version will fix the following issues:

  • app.ini fix
  • show local version information


Version 1.0 ALPHA3 (2008-04-03):
This version will fix the following issues:

  • License- Welcomepage (show only once)
  • updater.ini format closer to app.ini
  • better function for component page preparation
  • new icons (thanks to ptmb)
  • self update support for the updater
  • Defaults changed (packagedir set to $TEMP, pdel=true)
  • Fix Path to license.txt



Version 1.0 ALPHA2 (2008-03-12):

  • Fix width of component page (thanks to John Smile )
  • Defaults changed (packagedir set to $TEMP, pdel=true)
  • Fix Path to license.txt



Version 1.0 ALPHA1 (2008-03-12):

  • initial relase (it is stable but ALPHA for several reasons)

Version 1.0 1.0 ALPHA1 (2008-03-12): Initial release

Many thanks to Simeon for first tests, feedback and all the answers releated to questions and requests for this tool in the forums :-). Thanks to John (and all the contributors) for the installer and to the translators for the needed strings.

You'll find the older entries here:https://portableapps.com/node/12040

[Set back to filtered HTML by moderator JTH. Full HTML isn't for forum posts.]

John Bentley
John Bentley's picture
Offline
Last seen: 13 years 1 month ago
Developer
Joined: 2006-01-24 13:26
Is there any chance that you

Is there any chance that you could make it so that it tells you what the installed version is?

cowsay Moo
cowthink 'Dude, why are you staring at me.'

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
there is ...

I'll add it to the entries of the combobox next version.

Marko

Paid for Software more or less?
What You need is OSS!

cjwprostar
Offline
Last seen: 14 years 2 months ago
Joined: 2006-09-11 17:29
I tried to update itself

I tried to update itself from the alpha, then from the beta, and got an md5 error both times. New version seems to be working fine though.

The #1 programmer excuse for legitimately slacking off: "My code's compiling." --xkcd

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
wrong app.ini ...

... and md5sum in the BETA1 and , will be fixed with beta2.
If the Installer of the BETA1 is starting for the second time please cancel it.

Paid for Software more or less?
What You need is OSS!

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
Is great

I'm already improving the icon for the next version (no preview, wait to the next version). It seems to work great.

Strange thing:

On the launch of the app it gives the following warning for awhile:


Database Downloading
Bitte warten...
Please wait...

Anyway, this is on a borderless windows with a XP style. It seems a little "rushed" in the app, could it be improved?

Blue is everything.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
the warning isn't a warning ...

... its the requested Banner to see, that the database download is in progress.
I'll add a parameter to hide it for those who don't want it Wink

It's a splash screen (DB.jpg), cause I don't found a messagebox with a self closing feature. So if You want a better Box, create one as jpg and let me know where it is :-). Thanks for the icons Wink

Paid for Software more or less?
What You need is OSS!

nitrolinken
nitrolinken's picture
Offline
Last seen: 9 years 2 months ago
Joined: 2008-02-25 09:15
Eeek

I'm having the following issue.

After executing the .exe I get a cute error message.

---------------------------
PortableApps Setup
---------------------------
Database Error
E:\PortableApps\PortableAppsUpdater\Data\updater.ini not found! 1033
---------------------------
OK
---------------------------

Intelligence is like four-wheel drive. It only allows you to get stuck in more remote places. ~ Garrison Keillor

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
Are You behind a proxy or firewall?

So please check if the IE Proxy settings are right or write the proxy in the settinsini as described in the default settings.ini. Check if a firewall grant connections for wget.exe...

Paid for Software more or less?
What You need is OSS!

eresele
Offline
Last seen: 5 years 6 months ago
Joined: 2007-10-28 18:21
Dry-run feature

What instantly comes to my mind is that it would be useful to have a "dry-run" feature that just reports the state of the currently installed portable apps, i.e. what version is installed and which version is currently the latest.

It might be that this feature is already implemented. I don't have the time to play with this app right now, but really like the idea of it, and didn't wan't this idea get lost.

RogerL
Offline
Last seen: 4 days 9 hours ago
Joined: 2007-03-14 09:17
I second this request for a

I second this request for a preview feature. I prefer to find out what a program like this is going to do before I let it do it just in case, for some reason, I decide I don't want to do it now.

wk
wk's picture
Offline
Last seen: 3 months 3 weeks ago
Joined: 2007-09-05 12:31
autoupdate to Beta 2 was ok

autoupdate to Beta 2 was ok, download of some apps as well. Perhaps the last GUI saying " You have installed PortableApps 0.90..." should be changed, but that´s only a minor bug Wink
one more request. the default autoupdate of the updater comes up every time, perhaps it could be selected/unselected by a checkbox at start?

"Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis .." Friday Next -
"May The Schwartz be with You!" Yogurt the Yoda

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
Thats a bug :-( will be fixed in next version

perhaps on sunday.

Paid for Software more or less?
What You need is OSS!

digitxp
digitxp's picture
Offline
Last seen: 11 years 2 weeks ago
Joined: 2007-11-03 18:33
HOW

did you get that AWESOME horizontal rule?!

Insert original signature here with Greasemonkey Script.

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
Bug

When updating any app, the updater downloads itself and starts installation of itself, forcing the previous version to close if a careless user continues install.

Blue is everything.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
see above

The updater should check itself at first an only once.
Please cancel the updater setup (after the first install).

Paid for Software more or less?
What You need is OSS!

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
The problem

The problem is that it happens even when it's not the first time launching it.

Is this the expected behavior? I think it shouldn't be.

Blue is everything.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
read above...

its a bug. He should check every time but only performe update if nessesary.
At the moment the update check for the selftest dont work.

I have fixed it and will uload the new version today in the late evening.

Paid for Software more or less?
What You need is OSS!

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
Ok

Sorry, didn't understood. I also agree with John that you should keep it Alpha, at least until the PAF format is published. Also, I will help make a image for the download database warning (based on the apps splash screens that I advice you to request the source to John). It won't come today unfortunately (I want to make it refined and not "sketchy").

Blue is everything.

LOGAN-Portable
LOGAN-Portable's picture
Offline
Last seen: 9 years 8 months ago
Developer
Joined: 2007-09-11 12:24
Nooooo

No, I think he should continue it wether John has released the specs or not. If he goes and stops developing chances are you have to wait a long time. No offence, but the specs could be released any moment now... or in a few months.. or...

Unless John is actually posting the specs soon, it would be worth continuing development on the updater instead of waiting...

ZachHudock
ZachHudock's picture
Offline
Last seen: 4 years 8 months ago
Developer
Joined: 2006-12-06 18:07
nobody said he's gonna stop

nobody said he's gonna stop developing, just keep the status listed as an alpha build, and increment the version number, instead of changing it to a beta build.

The developer formerly known as ZGitRDun8705

John T. Haller
John T. Haller's picture
Online
Last seen: 4 min 11 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Alpha

Marko, please keep this labeled as an alpha as it has a ways to go to make it to official release stage. The inability to calculate space and other bugs mean we still have a ways to go. Also, the license page should not show. And there should be no option to run at the end of install for this or any other portable app (it should be using an unmodified installer (except for language selection)).

Sometimes, the impossible can become possible, if you're awesome!

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
OK

Changed back to Alpha.

License page will not show if the PortableApps.com Platform is detected (that was the idea to make a difference between running in the platform and stand alone (but if You want I'll change it.

The autorun of the Updater was a requested feature...
... but' no problem to delete it.

Paid for Software more or less?
What You need is OSS!

rsinko
Offline
Last seen: 10 months 2 weeks ago
Joined: 2007-02-16 12:31
Why is Openoffice checked by default?

It causes a large download if a person doesn't wanted to install it and forgets to uncheck the box. I could not abort out of the download.

RSinko

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
I second that!

I think no app should be checked by default too.

I remember my first pen (256Mb) in which I didn't have space for OO.org (because I had other apps to use) and now that OO.org is getting heavier it shouldn't be checked.

Blue is everything.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
the reason was ...

... for demonstrating this feature. It depends und the entry in the ini.
Now, most of us have seen it it will be disabled Smile

Paid for Software more or less?
What You need is OSS!

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
Ok, then... cool

BTW, I improved the icons and made a Database Download Splash with the size of the normal apps splash screen (a mockup that can be used). I will send them to you in a moment.

And, the download link points to BETA2.

Blue is everything.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
Thank You again for the icon an the Download splash

Alpha4 is the former BETA2 an will be removed with the next update.
Regards Marko

Paid for Software more or less?
What You need is OSS!

Stevoisiak
Stevoisiak's picture
Offline
Last seen: 3 years 1 month ago
Joined: 2008-02-05 11:22
Wait a sec

Then why is it called alpha 4 if its #2? Also, this means that there are no changes between 2 & 4, and fetures were removed from #3. Also, should I update from my beta 2?

Edit: Also, this means the beta 2 is not outdated. Why did you make a new topic for this forum anyway? Also, in development test releases, it still links to the old forum.

Simplifying daily life through technology

ZachHudock
ZachHudock's picture
Offline
Last seen: 4 years 8 months ago
Developer
Joined: 2006-12-06 18:07
BETA2 == ALPHA4. After

BETA2 == ALPHA4.

After updating ALPHA3 to BETA1, he made more changes, and it became BETA2. After this, he changed the name back to ALPHA# due to a request by John. Because of upcoming changes in the platform, and incomplete specs, this app isn't ready to be listed as BETA quality.

The developer formerly known as ZGitRDun8705

Stevoisiak
Stevoisiak's picture
Offline
Last seen: 3 years 1 month ago
Joined: 2008-02-05 11:22
???

So, do I update my app or not? Also, why not just have alpha's 1-4? He can rename them.

Simplifying daily life through technology

ZachHudock
ZachHudock's picture
Offline
Last seen: 4 years 8 months ago
Developer
Joined: 2006-12-06 18:07
it is ALPHAs 1-4 now. He

it is ALPHAs 1-4 now. He thought it was ready for BETA status, John said it wasn't, so he changed it back to ALPHA status. If you want to update, go right ahead, you won't lose any functionality.

the progression for apps goes ALPHA > BETA > Release Candidate > Final

This app is in the ALPHA stage.

The developer formerly known as ZGitRDun8705

jeffm
Offline
Last seen: 13 years 5 months ago
Joined: 2007-12-13 01:58
error

once I got the proxy info set right into the .ini, I now get an error that says "No actualization needed"

Any idea what causes this?

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
At the moment ...

... proxy authentification isn't supported. So if You need username and password it will not work at the moment.

Please take care to use proxy=IP:Port (no servername cause DNS is not supported) or
set the proxy in IE.

Regards
Marko

Paid for Software more or less?
What You need is OSS!

Stevoisiak
Stevoisiak's picture
Offline
Last seen: 3 years 1 month ago
Joined: 2008-02-05 11:22
One sec

I'm not even using a proxy and I get the error. I'm running the file from a directory that has spaces in it. (School PC) Would that have anything to do with it?

Simplifying daily life through technology

ZachHudock
ZachHudock's picture
Offline
Last seen: 4 years 8 months ago
Developer
Joined: 2006-12-06 18:07
If you are on a school PC,

If you are on a school PC, it is possible that the school had their own proxy configuration, in which case you are running on a proxy.

The developer formerly known as ZGitRDun8705

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
Are you sure?

School PCs usually have proxies (to filter some things, those #%$##@£€§@§@€ Wink ).

And I ran it from a spaced directory (And with non-ANSI characters) and it ran fine.

BTW, Marko something seems to lock the Updater folder when I install it (when I extract it is fine). I need to log out of my account to it to unlock the folder.

Windows Vista Home Premium pt-PT w/o SP1 (because of the PC, or else I would be running Linux w/ WINE :D)

Blue is everything.

Stevoisiak
Stevoisiak's picture
Offline
Last seen: 3 years 1 month ago
Joined: 2008-02-05 11:22
Actually,

It used to work on beta 2. I'm gonna try it off my flashdrive. Alot of programs seem to like it there. I had to install SmithTec menu there, (dont use it anymore) ans had to compile PAC there.

Simplifying daily life through technology

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
Could be...

... thats why the installer don't allow to install it oin directories with spaces.
Directories with spaces are not supported.

Paid for Software more or less?
What You need is OSS!

Stevoisiak
Stevoisiak's picture
Offline
Last seen: 3 years 1 month ago
Joined: 2008-02-05 11:22
Yeah

On Smithtec and PAC, it would work on the school PC after being set up. (Thank goodness for copy and paste :)) Can somebody make a temp link to alpha 2?

Simplifying daily life through technology

Lorticable
Offline
Last seen: 14 years 5 months ago
Joined: 2008-04-04 16:13
MD5 error on split downloads.

I have a slow dial-up connection. If my download connection gets reset (and this happens a lot), the process appears to recover but it creates split files in the temp dir. i.e. ClamWin_Portable_0.92.paf.exe and ClamWin_Portable_0.92.paf.exe.1.

These files when combined by hand do represent the entire full download. But the app gives an MD5 error because I suspect it's checking the 1st file and not the concatenation of them all.

--
It appears as if recovery doesn't append to the existing file but rather continues the download with an incremental name. That'd be fine if the files are finally concatenated together before use, but that doesn't seem to be happening, especially before the MD5 sum check.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
md5sum should match ...

... for security reasons. The concentenation of splitted files is not supported. If there are problems with the download You can copy the downloaded file(s) before it will be deleted by the updater (before You click ok in the md5sum error message). So You can try to use it to install manually.
Keep in mind, that for these files with wrong md5sum is no garanty...

Paid for Software more or less?
What You need is OSS!

Lorticable
Offline
Last seen: 14 years 5 months ago
Joined: 2008-04-04 16:13
Consistent MD5 Errors and My Fix.

I've experimented some more. The MD5 error happens consistently with my dial-up connection when PortableAppsUpdater uses HEANET.DL.SOURCEFORGE.NET. Wget downloads 800k, the connection gets closed, wget immediately retries and places the rest of the download in multiple files. It's all there, just in multiple files. PortableAppsUpdater only expects one file and that fails the MD5 check. If I "copy /b file1+file2 file3" before deletion, then test the result using winMd5Sum, the md5 number matches perfectly. I haven't seen another mirror yet that hiccups at 800k like heanet does.

I can even call wget.exe by hand and get the exact same result. i.e. "wget http://heanet.dl.sourceforge.net/sourceforge/portableapps/DOSBox_Portabl..." results in multiple files every time for me.

If I use the --continue option, however, it works! "wget --continue http://heanet.dl.sourceforge.net/sourceforge/portableapps/DOSBox_Portabl..." results in ONE FILE. Even when it hiccups at 800k using heanet.

So here's the fix for me in PortableAppsUpdater. I added "continue = on" to the .wgetrc initialization file. Now when PortableAppsUpdater launches wget.exe and wget finds itself trying again, it appends to the partial download. The result is one file that PortableAppsUpdater now sees as proper.

--
So, if anyone else is having issues when PortableAppsUpdater fails on MD5, try adding "continue = on" to your "[drive]:\PortableApps\PortableAppsUpdater\App\.wgetrc" initialization file and see if that corrects all these MD5 errors we seem to be getting. It worked for me.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
Good solution!

I will add it to the default profile.

Paid for Software more or less?
What You need is OSS!

ZachHudock
ZachHudock's picture
Offline
Last seen: 4 years 8 months ago
Developer
Joined: 2006-12-06 18:07
For future reference, when

For future reference, when you update the app, add a comment to this thread to announce it

The developer formerly known as ZGitRDun8705

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
So was the plan...

... and then the telephon rings...

One hint: In the installer is the autostart of the updater still active, that's a fault! Next version this will be fixed.

Paid for Software more or less?
What You need is OSS!

ZachHudock
ZachHudock's picture
Offline
Last seen: 4 years 8 months ago
Developer
Joined: 2006-12-06 18:07
sorry, i guess i moved too

sorry, i guess i moved too quick Wink

The developer formerly known as ZGitRDun8705

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
Great!

It is great. The bug with the lock-in of the folder is gone. It looks great.
Uh... Tried installing 7-Zip. It worked fine, great actually. I just must (re-?)request you just to put the apps installation silent by default, so it can go on automatically without the user interviewing after pressing the install button.

EDIT: I know the Updater removes from the list the apps that are up to date, but could you make the apps with updates highlighted in some sort, for being able to know which apps need update from the ones that I don't have installed?

Blue is everything.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
Thank You ...

... for the new DL Splash an the pt strings Smile

One Option to seperate the not wanted from the actual Apps is to show the actual Apps with non selected an disabled state (grey them out unchecked).

But is this wanted by all or only by You ;-). I'm thinking about an option for this, something like:
[Show]
actualapps=
auto: Show actual Apps unselected and disabled
hide: hide actual Apps from Components list

Marko

Paid for Software more or less?
What You need is OSS!

José Pedro Arvela
Offline
Last seen: 3 years 9 months ago
Joined: 2007-07-10 07:29
Don't know

I don't know if all want, but I'm certainly sure that I would like very much!!! Biggrin

And I'm not sure if you understood my request:
Are you talking of separating the installed apps from the non-installed or not up to date in a different way? Because if Yes, it wasn't that I was asking.

What I was suggesting is that:

  • The apps installed and up to date are hidden as always (or disabled as in your idea).
  • The apps not installed are normal and as always.
  • The apps installed and with updates available are highlighted in some way, like, checked for install by default.

And I also like that idea as we can know which apps are installed without having to look to a folder or Menu.

EDIT: BTW the icons I sent you where updated too (almost nothing but updated).

And here is another translation:

LangString DESC_Section1 ${LANG_PORTUGUESE} "Actualização Própria"

Blue is everything.

Stevoisiak
Stevoisiak's picture
Offline
Last seen: 3 years 1 month ago
Joined: 2008-02-05 11:22
Pointless

I see no point in skipping alpha five if there are no differences between the app itself.

Simplifying daily life through technology

ZachHudock
ZachHudock's picture
Offline
Last seen: 4 years 8 months ago
Developer
Joined: 2006-12-06 18:07
Pointless

I see no point in getting so frustrated by changing version numbers.

it didn't upload correctly, and he did fix something.

The developer formerly known as ZGitRDun8705

Stevoisiak
Stevoisiak's picture
Offline
Last seen: 3 years 1 month ago
Joined: 2008-02-05 11:22
Ok

Whatever.

Simplifying daily life through technology

App Guy
Offline
Last seen: 8 years 11 months ago
Joined: 2008-03-16 14:24
Required Space

The Required Space needs to work. It would be very helpful.

May the Shwartz be with you

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
It will work next Alpha ...

... but only for the space required for download!
The space required for install is the job of the package installers.

Paid for Software more or less?
What You need is OSS!

RogerL
Offline
Last seen: 4 days 9 hours ago
Joined: 2007-03-14 09:17
Ran Updater for the first

Ran Updater for the first time, here are my suggestions for improving the user friendliness of the front end:

1. The Back button on the first window should be disabled as it exits the updater (or it should re-run the Database download).

2. Display the current and new version numbers next to each other. At the moment one has to scroll to see if an app needs updating.

3. I would prefer the list in two parts, the installed ones first, followed by the ones available that I haven't installed.

4. If no checkboxes are checked the Next button should be disabled?

5. I hate having to scroll. Stating the obvious next to the list, ie. "Select the components to install/uninstall...", wastes screen space - the list could be 50% wider. (If you really want to tell newbies this it could go in the description field when the mouse passes over the checkboxes).

6. Making the window sizeable would allow users to see all the information for all the apps without having to do any scrolling.

7. I would much prefer a listView rather than a list. It is so much easier on the eye to have the details in columns. It also avoids having to clutter the list up with the strings: -->, (download), (Inst.) and (local.) as these would be headings.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
Thank You for the feedack ...

... but most of this is not easy to solve in NSIS Sad
1. This is a bug and will be fixed if I have a solution for it.
2. An an actual App will not be offered in the list so the local version number is
only for Your information and thats why it is on the right site
3. That's not easy, cause the section management is'nt dynamic. Thats why in the last
version the installed Apps will be preselected, to separate them from the not
existing ones
4. No, cause there are Post-install routines (delete temporary files). If You disable
next You have to abort an it could be there will be left stuff.
5. The left panel is fixed (so cut the text don't brings the effect You are looking
for)
6. There is no way to to this with nsis.
7. Show me a (working !!!) solution for multiselectable ListView with NSIS and I'll
be happy

Paid for Software more or less?
What You need is OSS!

RogerL
Offline
Last seen: 4 days 9 hours ago
Joined: 2007-03-14 09:17
Marko, thanks for responding

Marko, thanks for responding so quickly.

I don't understand in answer no. 2 what "an actual App will not be offered in the list" means,

and could the NSIS code be designed so that an alternative front end could be used?

(It is just a shame that one has to put up with looking at the app list like through a telescope.)

RogerL

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
No problem :-)

2. means that if an App is up to date, there is no need to offer (show) it for an update, thats why this Section will be hidden.
... The Code not, but You can change every resource (like the gui binaries) on NSIS to do this. But then You've to publish the modified resource binary too.

I'm looking for a solution for this....

Paid for Software more or less?
What You need is OSS!

RogerL
Offline
Last seen: 4 days 9 hours ago
Joined: 2007-03-14 09:17
I meant would it be possible

I meant would it be possible to modify your NSIS code (if it was necesary) to ensure the right hooks were present to allow the front end ListView populating and displaying to be written in, say, AutoIt?

ZachHudock
ZachHudock's picture
Offline
Last seen: 4 years 8 months ago
Developer
Joined: 2006-12-06 18:07
Can't run, I always get the

Can't run, I always get the error message that says updater.ini is missing. Running from X:\PortableApps\PortableAppsUpdater, with several other apps under X:\PortableApps\ (none of the other apps are currently running, and a few are outdated)

Edit: Nevermind, I got it working, I forgot to setup the proxy.

One suggestion to improve the app, if the user doesn't select any items to update/install, don't let them go to the Install pages.

The developer formerly known as ZGitRDun8705

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
second vote for prevent next without one selection...

... ok, I give up. Will be fixed next version.

Smile

Paid for Software more or less?
What You need is OSS!

sysadmn
Offline
Last seen: 5 years 8 months ago
Joined: 2007-12-13 11:17
Proxy Errors

I have "Proxy_Adr=auto" in the settings.ini, and I've got an IE window able to talk to the outside world (including ftp). I'm still getting the "updater.ini not found! 1033" error. I've tried in 1.06 Alpha and 1.07 Alpha. My proxy requires authentication - is this the reason?

I tried adding the proper settings to the .wgetrc. The error goes away, but I now get the "no actualization needed" message.

Is there a log file or file timesatamp I can check to ensure that the ftp actually succeeded?

PS - Download page for 1.06 Alpha does not indicated 1.07 is out. I only found 1.07 when searching the forums for the error message.

MarkoMLM
MarkoMLM's picture
Offline
Last seen: 6 years 11 months ago
DeveloperTranslator
Joined: 2006-01-16 04:08
Please wait for Beta1 ...

... cause this version will support proxy authentification and additional parameters for wget.

Topic locked please use https://portableapps.com/node/12722

Paid for Software more or less?
What You need is OSS!

Topic locked